lpadmin(8)

NOME
lpadmin - configura impressoras e classes do cups

RESUMO
lpadmin [ -E ] [ -U username ] [ -h server[:port] ] -d destination
lpadmin [ -E ] [ -U username ] [ -h server[:port] ] -p destination [ -R name-default ] option(s)
lpadmin [ -E ] [ -U username ] [ -h server[:port] ] -x destination

DESCRIÇÃO
lpadmin configura filas de impressoras e classes fornecidas pelo CUPS. Também pode ser usado para definir a impressora ou classe predefinida do servidor.

Quando especificada antes das opções -d, -p, ou -x, a opção -E força encriptação ao ligar ao servidor.

A primeira forma do comando (-d) define a impressora ou classe predefinida para destination. Os trabalhos de impressão subsequentes submetidos via comandos lp(1) ou lpr(1) irá usar este destino a menos que o utilizador especifique caso contrário com o comando lpoptions(1).

A segunda forma do comando (-p) configura a impressora ou classe nomeada. As opções adicionais estão descritas em baixo.

A terceira forma do comando -x) apaga a impressora ou classe destination. Quaisquer trabalhos que estejam pendentes para o destino irão ser removidos e qualquer trabalho que esteja actualmente a ser imprimido irá ser abortado.

OPÇÕES
As seguintes opções são reconhecidas quando se configura uma fila de impressão:

-c class
    Adiciona a printer nomeada a class. Se class não existir será criada automaticamente.

-m model
    Define um ficheiro PPD standard para a impressora a partir do directório model ou usando uma das interfaces de driver. Use a opção -m com o comando lpinfo(8) para obter uma lista dos modelos suportados. O modelo "raw" limpa qualquer ficheiro PPD existente e o modelo "everywhere" consulta a impressora referida pelo IPP device-uri especificado. Nota: Os modelos para lá de "everywhere" estão descontinuados e não serão suportados numa versão futura do CUPS.

-o cupsIPPSupplies=true

-o cupsIPPSupplies=false
    Especifica se os valores de nível de suplemento IPP devem ser reportados.

-o cupsSNMPSupplies=true

-o cupsSNMPSupplies=false
    Especifica se os valores de nível de suplemento SNMP (RFC 3805) devem ser reportados.

-o job-k-limit=value
    Define o limite de kilobyte para cotas por-utilizador. O valor é um número inteiro de kilobytes; um kilobyte são 1024 bytes.

-o job-page-limit=value
    Define o limite de páginas para cotas por-utilizador. O valor é um número inteiro de páginas que podem ser imprimidas; as páginas de dois-lados são contadas como duas páginas.

-o job-quota-period=value
    Define o período de conta para cotas por-utilizador. O valor é um número inteiro de segundos; 86,400 segundos é um dia.

-o job-sheets-default=banner

-o job-sheets-default=banner,banner
    Define as página(s) banner predefinida a usar para trabalhos de impressão.

-o name=value
    Define uma opção PPD para a impressora. As opções PPD podem ser listadas usando a opção -l com o comando lpoptions(1).

-o name-default=value
    Define uma opção do lado-do-servidor predefinida para o destino. Qualquer opção de momento-de-impressão pode ser predefinida, ex. "-o number-up-default=2" para definir o valor predefinido da opção "number-up" para 2.

-o port-monitor=name
    Define o programa de comunicação binária a usar quando imprime, "none", "bcp", ou "tbcp". O programa predefinido é "none". O monitor de porto especificado tem de estar listado no ficheiro PPD da impressora.

-o printer-error-policy=name
    Define a política para erros tais como impressoras que não podem ser encontradas ou acedidas, não suportem o formato a ser imprimido, falha durante a submissão dos dados de impressão, ou no caso de um ou mais filtros falharem. O nome tem de ser um de "abort-job" (aborta o trabalho em erro), "retry-job" (re-tenta o trabalho num tempo futuro), "retry-current-job" (re-tenta o trabalho actual imediatamente), ou "stop-printer" (pára a impressora em caso de erro). A política de erro predefinida é "stop-printer" para impressoras e "retry-current-job" para classes.

-o printer-is-shared=true

-o printer-is-shared=false
    Define o destino para partilhado/publicado ou não-partilhado/não-publicado. Os destinos partilhados/publicados são anunciados publicamente pelo servidor na LAN com base na configuração de navegação em cupsd.conf, enquanto os destinos não-partilhados/não-publicados não são anunciados. O valor predefinido é "true" (verdadeiro).

-o printer-op-policy=name
    Define a política de operação IPP associada com o destino. O nome tem de estar definido na secção Policy em cupsd.conf. A política de operação predefinida é "default".

-R name-default
    Apaga a opção nomeada de printer.

-r class
    Remove a printer nomeada de class. Se a classe resultante ficar vazia é removida.

-u allow:{user|@group}{,user|,@group}*

-u deny:{user|@group}{,user|,@group}*

-u allow:all

-u deny:none
    Define controlo de acesso a nível-de-utilizador a um destino. Os nomes que começam com "@" são interpretados como grupos de UNIX. As duas formas posteriores desligam o controle de acesso a nível-de-utilizador. Nota: O utilizador 'root' não tem acesso especial - usar "-u allow:foo,bar" irá permitir aos utilizadores 'foo' e 'bar' aceder à impressora mas NÃO ao 'root'.

-v "device-uri"
    Define o atributo device-uri para a fila de impressão. Use a opção -v com o comando lpinfo(8) para obter uma lista de URIs de dispositivo suportados e esquemas.

-D "info"
    Fornece uma descrição textual do destino.

-E  Quando especificado antes das opções -d, -p, ou -x, força o uso de encriptação TLS na ligação ao agendador. Caso contrário, activa o destino e aceita trabalhos; isto é o mesmo que correr os programas cupsaccept(8) e cupsenable(8) no destino.

-L "location"
    Fornece uma localização textual do destino.

OPÇÕES DESCONTINUADAS
As seguintes opções do lpadmin estão descontinuadas:

-i filename
    Esta opção historicamente era usada para fornecer ou um script de interface System V ou (como uma implementação de efeito-secundário) um ficheiro PPD. Nota: Os scripts de interface não são suportados pelo CUPS. Ficheiros PPD e drivers de impressoras estão descontinuados e não serão suportados numa versão futura do CUPS.

-P ppd-file
    Especifica um ficheiro PostScript Printer Description (PPD) a usar com a impressora. Nota: Ficheiros PPD e drivers de impressoras estão descontinuados e não serão suportados numa versão futura do CUPS.

DE ACORDO COM
Ao contrário do sistema de impressão System V, o CUPS permite que os nomes das impressoras contenham qualquer caractere imprimível excepto SPACE, TAB, "/", ou "#". Também, os nomes das impressoras e classes não são sensíveis a maiúsculas/minúsculas.

Finalmente, a versão CUPS do lpadmin pode pedir ao utilizador uma palavra passe de acesso dependendo da configuração do sistema de impressão. Isto difere da versão System V que requer que seja o utilizador root a executar este comando.

NOTAS
Drivers de impressoras e backends do CUPS estão descontinuados e não irão ser mais suportados num futuro lançamento do CUPS. Impressoras que não suportem IPP podem ser suportadas usando aplicações como a ippeveprinter(1).

A versão CUPS do lpadmin não suporta todas as opções de configuração dos sistemas de impressão System V ou Solaris.

Scripts de interface não são suportados por razões de segurança.

O duplo significado da opção -E tem uma odisseia história infeliz.

O comando lpadmin comunica com o agendador (cupsd) para fazer alterações na configuração do sistema de impressão. Esta informação de configuração é guardada em vários ficheiros incluindo printers.conf e classes.conf. Estes ficheiros não devem ser editados diretamente e são um detalhe de implementação do CUPS que está sujeito a alterações a qualquer altura.

EXEMPLO
Criar uma fila de impressão IPP Everywhere:

    lpadmin -p myprinter -E -v ipp://myprinter.local/ipp/print -m everywhere

VEJA TAMBÉM
cupsaccept(8), cupsenable(8), lpinfo(8), lpoptions(1), Ajuda online do CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.